Bug 197867 - Fix devel/libeio build with clang 3.6.0
Summary: Fix devel/libeio build with clang 3.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Antoine Brodin
URL:
Keywords:
Depends on:
Blocks: 197395
  Show dependency treegraph
 
Reported: 2015-02-20 22:02 UTC by Dimitry Andric
Modified: 2015-03-15 14:57 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
Fix positioning of _Noreturn attribute for libeio (1.11 KB, patch)
2015-02-20 22:02 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2015-02-20 22:02:28 UTC
Created attachment 153251 [details]
Fix positioning of _Noreturn attribute for libeio

During the exp-run in bug 197395, it was found that devel/libeio gives errors with clang 3.6.0:

http://package18.nyi.freebsd.org/data/headamd64PR197395-default/2015-02-11_23h04m51s/logs/errors/libeio-4.18.0_1.log

This is because clang 3.6.0 defaults to C11, and libeio puts its ecb_noreturn in the wrong place, at the end of a function declaration.

I propose the following minimal fix, which changes just two lines.

See also bug 197864 (for devel/libev).
Comment 1 Bugzilla Automation freebsd_committer 2015-02-20 22:02:28 UTC
Auto-assigned to maintainer osa@FreeBSD.org
Comment 2 Antoine Brodin freebsd_committer 2015-03-15 14:51:42 UTC
Take
Comment 3 commit-hook freebsd_committer 2015-03-15 14:56:06 UTC
A commit references this bug:

Author: antoine
Date: Sun Mar 15 14:55:46 UTC 2015
New revision: 381335
URL: https://svnweb.freebsd.org/changeset/ports/381335

Log:
  - Allow building with clang 3.6 [1]
  - Use autoreconf
  - Strip shared library
  - Remove unused Makefile

  PR:		197867 [1]
  Submitted by:	dim [1]
  Approved by:	maintainer timeout (osa, 23 days) [1]

Changes:
  head/devel/libeio/Makefile
  head/devel/libeio/files/Makefile
  head/devel/libeio/files/patch-ecb.h